<?php

namespace KupShop\FeedGeneratorBundle\Configuration\Nodes;

use KupShop\FeedGeneratorBundle\Configuration\IConfigurationVisitor;

class MultilineNode extends AbstractNode implements INode
{
    public function accept(IConfigurationVisitor $visitor, &$handle = null)
    {
        return $visitor->visitMultiline($this, $handle);
    }

    public function getValueHash(): string
    {
        if (!isset($this->valueHash)) {
            $this->valueHash = md5($this->getValue());
        }

        return $this->valueHash;
    }
}
